For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet all unit details.
        • GETGet a unit by ID
        • GETGet a unit detail by ID.
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage Registered VendorUnits

Get all unit details.

GET
/v1/units/details
GET
/v1/units/details
$curl https://api.propexo.com/v1/units/details \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "18",
18 "x_property_id": "5479123",
19 "x_location_id": null,
20 "x_building_id": "2",
21 "x_floor_plan_id": "1",
22 "building_number": "2",
23 "make_ready_date": "2026-01-30T15:22:00.000Z",
24 "made_ready_date": "2026-01-30T15:22:00.000Z",
25 "reserved_until_date": "2024-06-30T00:00:00Z",
26 "floor_plan_market_rent_in_cents": 290300,
27 "unit_market_rent_in_cents": 150000,
28 "base_rent_in_cents": 303800,
29 "unit_number": "158",
30 "description": "2 bed 2 bath luxury unit",
31 "floor_plan_name": "2 bed 2 bath",
32 "accessible_hearing": true,
33 "accessible_mobility": true,
34 "accessible_vision": true,
35 "is_vacant": true,
36 "is_available": true,
37 "is_reserved": true,
38 "available_date": "2026-03-04T00:00:00.000Z",
39 "notes": "One of the greatest units we've ever seen",
40 "gross_square_feet": 689,
41 "rentable_square_feet": 689,
42 "city": "Milpitas",
43 "country": "US",
44 "state": "CA",
45 "address_1": "501 Murphy Ranch Rd Apt 158",
46 "address_2": "string",
47 "zip": "95035-7937",
48 "maximum_potential_lease_term": "string",
49 "minimum_potential_lease_term": "string",
50 "integration_id": "clwh5u07w000508me66sfh3um",
51 "integration_vendor": "REALPAGE",
52 "property_id": "clwi5xiix000008l6ctdgafyh"
53 }
54 ]
55}

Note: “Unit Details” are not units themselves, but rather details regarding application/listing information on a unit. This is a separate concept from generic units data, and is required to be enabled as its own model. It is uncommon for customers to require this data. Please contact support with questions

Was this page helpful?
Previous

Get a unit by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external unit id
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error